Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

identifier
string | null

Partial, case-insensitive match on the email and on the customer id.

blocked_by_email
string | null

Filter by the dashboard user who blocked the customer.

created_at_gte
string<date-time> | null

Blocked on or after this time.

created_at_lte
string<date-time> | null

Blocked on or before this time.

page_size
integer<int32> | null

Page size. Default 10, maximum 100.

Required range: x >= 0
page_number
integer<int32> | null

Page number. Default 0.

Required range: x >= 0

Response

items
object[]
required
total
integer<int64>
required

Blocked customers that match the filters, before pagination.

Last modified on October 28, 2026